Subject: Re: [PATCH 0/3] doc: replay: improvements like "mention no output on conflicts"

From: "Kristoffer Haugsbakk" <[email-masked]>
Date: Mon, 08 Dec 2025 15:35:59 +0100

On Mon, Dec 8, 2025, at 15:29, Toon Claes wrote:
> "Kristoffer Haugsbakk" <[email-masked]> writes:
>
>>>> Explicitly say that conflicts do not give any output. I found this a
>>>> bit confusing with the current doc since I am used to other commands
>>>> complaining loudly.
>
> Yeah I agree it's unusual, and I'm considering to submit patches to
> change that behavior. But for now, thanks for adding these docs changes.

Thanks for reviewing/checking this out!

>> On Sun, Dec 7, 2025, at 22:58, Junio C Hamano wrote:
>>>
>>> All looked sensible.
>>>
>>> The second one looked a bit sketchy, but that was the phrase used by
>>> the log message for c4611130 (replay: add --contained to rebase
>>> contained branches, 2023-11-24).
>>
>> How should `--contained` be documented?
>
> I understand it might sound a bit cryptic, if you don't have any prior
> knowledge about this command. But on the other hand, I don't have any
> good idea how you can document this in more detail. I think it's fine
> like this.

It sounds like it is the same as `git rebase --update-refs`. I guess
that could be mentioned?

>
> Overall, I agree with these changes.